/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package vap2022_11_01_javafx_exam;

import java.io.IOException;
import java.util.Locale;
import java.util.Objects;
import java.util.ResourceBundle;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Main extends Application {
	public static void main(String[] args) {
		launch(args);
	}

	@Override public void start(Stage stage) {
		var appLocale = new Locale("en", "GB");

		try {
			var configuredLocale = AppLocale.read();
			if (configuredLocale != null) appLocale = configuredLocale;
		} catch (Exception e) {
			e.printStackTrace();
		}

		Parent root;
		try {
			var fxmlLoader = new FXMLLoader();
			fxmlLoader.setResources(ResourceBundle.getBundle("resources", appLocale));
			root = fxmlLoader.load(getClass().getResourceAsStream("main.fxml"));
		} catch (IOException e) {
			throw new RuntimeException(e);
		}

		Scene scene = new Scene(root, 640, 480);
		scene.getStylesheets().add(Objects.requireNonNull(getClass().getResource("main.css")).toExternalForm());
		stage.setScene(scene);
		stage.show();
	}
}
